class AlignS expands Mutator;

var int imax; // frequency of check.
var int i; // our count
var bool bInitialized;

event PostBeginPlay()
{
	if (bInitialized)
	{
		log ("AlignS - already loaded, ignoring...");
		return;
	}
	bInitialized = True;
	Super.PostBeginPlay();
	log ("===== AlignS loaded =====");
	//Is nasty but I want to prevent this to work for LAN players, they aren't laggers anyway :|
}

Event Tick(float DeltaTime)
{
	local Pawn Other;
	local Pawn P;
	local PlayerPawn PP;
	local AlignSPP Ali;

	i = i++;
	//log("Value I is now: "$i);
	if (i >= imax) // slow down the frequency of the check.
	{
		//log("i = imax");
		i = 0; // reset counter ready for next count.
		for(P=level.pawnlist; P!=none ; P=P.nextpawn) // for each pawn in the pawn list
		{
			if ((P!=none) && (P.IsA('PlayerPawn'))) // Exist a pawn and is a player - Got it...
			{
				PP = PlayerPawn(P);  // pp is our pawn
				if (!PP.PlayerReplicationInfo.bIsABot)   // check we are not a bot
				{
//					if ( (PP.PlayerReplicationInfo.PlayerName != "Player") ) //Check, we don't have a default name ?
//					{
//						log("Found a player, spawning AlignSPP " $PP.GetHumanName()); // say we got one (server)
						Ali = Spawn(class'AlignSPP',PP,,PP.Location); // Spawning Aligner.
//					}
				}
			}
		}
	}
}

defaultproperties
{
     imax=100
}
