//=============================================================================
// DevilFish. - not sure what is this 
//=============================================================================
class ExDevilFish extends DevilFish;

function bool SetEnemy( Pawn NewEnemy )
{
	local bool result;
	local eAttitude newAttitude, oldAttitude;
	local bool noOldEnemy;
	local float newStrength;

/*
	if ( !bCanWalk && !bCanFly && !NewEnemy.FootRegion.Zone.bWaterZone )
		return false;
// Pretty dumb code for mapping options
*/
	if ( (NewEnemy == Self) || (NewEnemy == None) || (NewEnemy.Health <= 0) || NewEnemy.bDeleteMe )
		return false;
	if ( (/*Player*/NewEnemy == None) && (ScriptedPawn(NewEnemy) == None) )
		return false;
	noOldEnemy = (Enemy == None);
	result = false;
	newAttitude = AttitudeTo(NewEnemy);
	//log ("Attitude to potential enemy is "$newAttitude);
	if ( !noOldEnemy )
	{
		if (Enemy == NewEnemy)
			return true;
		else if ( NewEnemy.bIsPlayer && NewEnemy.PlayerReplicationInfo != None && (AlarmTag != '') )
		{
			OldEnemy = Enemy;
			Enemy = NewEnemy;
			result = true;
		} 
		else if ( newAttitude == ATTITUDE_Friendly )
		{
			if ( bIgnoreFriends )
				return false;
			if ( (NewEnemy.Enemy != None) && (NewEnemy.Enemy.Health > 0) ) 
			{
				if ( NewEnemy.Enemy.bIsPlayer && NewEnemy.Enemy.PlayerReplicationInfo != None && (NewEnemy.AttitudeToPlayer < AttitudeToPlayer) )
					AttitudeToPlayer = NewEnemy.AttitudeToPlayer;
				if ( AttitudeTo(NewEnemy.Enemy) < AttitudeTo(Enemy) )
				{
					OldEnemy = Enemy;
					Enemy = NewEnemy.Enemy;
					result = true;
				}
			}
		}
		else 
		{
			oldAttitude = AttitudeTo(Enemy);
			if ( (newAttitude < oldAttitude) || 
				( (newAttitude == oldAttitude) 
					&& ((VSize(NewEnemy.Location - Location) < VSize(Enemy.Location - Location)) 
						|| !LineOfSightTo(Enemy)) ) ) 
			{
				if ( bIsPlayer && Enemy.PlayerReplicationInfo != None && NewEnemy.PlayerReplicationInfo == None )
				{
					newStrength = relativeStrength(NewEnemy);
					if ( (newStrength < 0.2) && (relativeStrength(Enemy) < FMin(0, newStrength))  
						&& (IsInState('Hunting')) && (Level.TimeSeconds - HuntStartTime < 5) )
						result = false;
					else
					{
						result = true;
						OldEnemy = Enemy;
						Enemy = NewEnemy;
					}
				} 
				else
				{
					result = true;
					OldEnemy = Enemy;
					Enemy = NewEnemy;
				}
			}
		}
	}
	else if ( newAttitude < ATTITUDE_Ignore )
	{
		result = true;
		Enemy = NewEnemy;
	}
	else if ( newAttitude == ATTITUDE_Friendly ) //your enemy is my enemy
	{
		//log("noticed a friend");
		if ( NewEnemy.bIsPlayer && NewEnemy.PlayerReplicationInfo != None && (AlarmTag != '') )
		{
			Enemy = NewEnemy;
			result = true;
		} 
		if (bIgnoreFriends)
			return false;

		if ( (NewEnemy.Enemy != None) && (NewEnemy.Enemy.Health > 0) ) 
		{
			result = true;
			//log("his enemy is my enemy");
			Enemy = NewEnemy.Enemy;
			if ( Enemy.bIsPlayer && Enemy.PlayerReplicationInfo != None )
				AttitudeToPlayer = ScriptedPawn(NewEnemy).AttitudeToPlayer;
			else if ( (ScriptedPawn(NewEnemy) != None) && (ScriptedPawn(NewEnemy).Hated == Enemy) )
				Hated = Enemy;
		}
	}
	if ( result )
	{
		//log(class$" has new enemy - "$enemy.class);
		LastSeenPos = Enemy.Location;
		LastSeeingPos = Location;
		EnemyAcquired();
		if ( !bFirstHatePlayer && Enemy.bIsPlayer && Enemy.PlayerReplicationInfo != None && (FirstHatePlayerEvent != '') )
			TriggerFirstHate();
	}
	else if ( NewEnemy.bIsPlayer && NewEnemy.PlayerReplicationInfo != None && (NewAttitude < ATTITUDE_Threaten) )
		OldEnemy = NewEnemy;

	return result;
}

function WhatToDoNext(name LikelyState, name LikelyLabel)
{
//	bStasis = true; //Not agree, cya
	bStasis = False;
	Super(ScriptedPawn).WhatToDoNext(LikelyState, LikelyLabel);
}

function PlayMeleeAttack()
{
	local vector adjust;
	local float decision;

	if ( Target == None || Target.bDeleteMe ||(Target.IsA('Pawn') && Pawn(Target).Health <= 0) )
		goto NoMelee;
	else
	{
		adjust = vect(0,0,0.5) * FRand() * Target.CollisionHeight;
		Acceleration = AccelRate * Normal(Target.Location - Location + adjust);
		bAttackBump = false;
		if (AnimSequence == 'Grab1')
		{
			PlayAnim('ripper', 0.5 + 0.5 * FRand());
			PlaySound(rip,SLOT_Interact,,,500);
			MeleeDamageTarget(RipDamage, vect(0,0,0));
			Disable('Bump');
			return;
		}
		decision = FRand();
		PlaySound(bite,SLOT_Interact,,,500);
		if (decision < 0.3)
		{
			Disable('Bump');
			PlayAnim('Grab1', 0.3);
			return;
		}
		Enable('Bump');
		//log("Start Melee Attack");
		if (decision < 0.55)
		{
			PlayAnim('Bite1', 0.3);
		}
		else if (decision < 0.8)
		{
			PlayAnim('Bite2', 0.3); 
		}
		else 
		{
			PlayAnim('Bite3', 0.3);
		}
	}
NoMelee:
}

state MeleeAttack
{
ignores SeePlayer, HearNoise;

	singular function Bump(actor Other)
	{
		Disable('Bump');
		if ( (AnimSequence == 'Bite1') || (AnimSequence == 'Bite2') || (AnimSequence == 'Bite3') )
			if ( Target != None )
				MeleeDamageTarget(BiteDamage, (BiteDamage * 1000.0 * Normal(Target.Location - Location)));
			else
				return;
		bAttackBump = true;
		Velocity *= -0.5;
		Acceleration *= -1;
		if (Acceleration.Z < 0)
			Acceleration.Z *= -1;
	}

	function KeepAttacking()
	{
		if ( /*(Target == None) ||*/ //Idiot ???
		Pawn(Target) != None && Pawn(Target).Health == 0 )
			GotoState('Attacking');
		else if ( bAttackBump && (FRand() < 0.5) )
		{
			SetTimer(TimeBetweenAttacks, false);
			GotoState('TacticalMove', 'NoCharge');
		}
	}
}		

state TacticalMove
{
	function PickDestination(bool bNoCharge)
	{
		local vector pick, pickdir, enemydir,Y, minDest;
		local float Aggression, enemydist, minDist, strafeSize;
		local bool success;
	
		success = false;
		if ( Enemy != None )
		{
			enemyDist = VSize(Location - Enemy.Location);
			Aggression = 2 * (CombatStyle + FRand()) - 1.0;

			if (enemyDist < CollisionRadius + Enemy.CollisionRadius + MeleeRange)
				Aggression -= 1;	
			else if (enemyDist > FMax(VSize(OldLocation - Enemy.OldLocation), 240))
				Aggression += 0.4 * FRand();
			enemydir = (Enemy.Location - Location)/enemyDist;
			if ( !enemy.Region.Zone.bWaterZone )
				enemydir.Z *= 0.5;
			minDist = FMin(160.0, 3*CollisionRadius);
			Y = (enemydir Cross vect(0,0,1));
			strafeSize = FMin(1.0, (2 * Abs(Aggression) * FRand() - 0.2));
			if (Aggression < 0)
				strafeSize *= -1;
			enemydir = enemydir * strafeSize;
			enemydir.Z = FMax(0,enemydir.Z);
			strafeSize = FMax(0.0, 1 - Abs(strafeSize));
			pickdir = strafeSize * Y;
			pick = Location + (pickdir + enemydir) * (minDist + 500 * FRand());
			minDest = Location + minDist * (pickdir + enemydir); 
			if (pointReachable(minDest))
			{
				success = true;
				Destination = pick;	
			}
			if (!success)
			{
				pick = Location + (enemydir - pickdir) * (minDist + 500 * FRand());
				pick.Z = Location.Z;
				minDest = Location + minDist * (enemydir - pickdir); 
			if (pointReachable(minDest))
			{
				success = true;
				Destination = pick;	
			}
			}
		
			if (!success)
			{
				pick = Location - enemydir * (minDist + 500 * FRand());
				pick.Z = Location.Z + 200 * FRand() - 100;
			}
		}
	}

	function Bump(Actor Other)
	{
		Disable('Bump');
		if (bAttackBump == true)
			bAttackBump = false;
		else if (Other == Enemy)
		{
			bReadyToAttack = true;
			Target = Enemy;
			GotoState('MeleeAttack');
		}
		else if (Enemy.Health <= 0)
			GotoState('Attacking');
	}
}

defaultproperties
{
     BiteDamage=15
     RipDamage=25
     rip=Sound'UnrealShare.Razorfish.tear1fs'
     CarcassType=Class'UnrealShare.DevilfishCarcass'
     TimeBetweenAttacks=0.500000
     Aggressiveness=1.000000
     MeleeRange=40.000000
     WaterSpeed=250.000000
     Visibility=120
     SightRadius=1250.000000
     Health=70
     UnderWaterTime=-1.000000
     Intelligence=BRAINS_NONE
     HitSound1=Sound'UnrealShare.Razorfish.chomp1fs'
     HitSound2=Sound'UnrealShare.Razorfish.miss1fs'
     Land=Sound'UnrealShare.Razorfish.flop1fs'
     Die=Sound'UnrealShare.Razorfish.death1fs'
     CombatStyle=1.000000
     AmbientSound=Sound'UnrealShare.Razorfish.ambfs'
     DrawType=DT_Mesh
     Mesh=LodMesh'UnrealShare.fish'
     CollisionRadius=35.000000
     CollisionHeight=20.000000
     Mass=60.000000
     Buoyancy=60.000000
     RotationRate=(Pitch=8192,Roll=8192)
     MenuName="DevilFish"
     NameArticle=" a "
     bCollideActors=False
     bBlockActors=False
     bBlockPlayers=False
}
